import metodosFetch from "../app/metodosFetch.js?v=2.0.0";
import { CODEMPRESA } from "../app/constantes.js?v=2.0.0";

class Sucursal {
  constructor({ codempresa, codsucursal, nombreSucursal }) {
    this.codempresa = codempresa;
    this.codsucursal = codsucursal;
    this.nombreSucursal = nombreSucursal;
  }

  static async obtenerTodosPorEmpresa({ codempresa = CODEMPRESA }) {
    try {
      const respuesta = await metodosFetch.get({
        archivo: "controllers/sucursalController",
        parametros: {
          accion: "obtenerTodosPorEmpresa",
          codempresa,
        },
        loader: false,
      });

      return respuesta;
    } catch (err) {
      throw err;
    }
  }

  static async obtenerPorUsuarioModulo({
    codempresa,
    idUsuario = 0,
    idConfiguracion = 0,
  }) {
    try {
      const respuesta = await metodosFetch.get({
        archivo: "controllers/sucursalController",
        parametros: {
          accion: "obtenerPorUsuarioModulo",
          codempresa,
          idUsuario,
          idConfiguracion,
        },
        loader: false,
      });

      return respuesta;
    } catch (err) {
      throw err;
    }
  }
}

export default Sucursal;
